Bug 115694 - usbutils buggy and unfeatured
Summary: usbutils buggy and unfeatured
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usbutils
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://marc.theaimsgroup.com/?l=linux...
Whiteboard:
Depends On:
Blocks: FC2Target
TreeView+ depends on / blocked
 
Reported: 2004-02-15 00:28 UTC by david-b
Modified: 2014-03-17 02:42 UTC (History)
1 user (show)

Fixed In Version: 0.11-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-04 05:05:37 UTC


Attachments (Terms of Use)

Description david-b 2004-02-15 00:28:04 UTC
Description of problem:
  "lsusb" as shipped by RH9 doesn't handle certain devices,
   in part because of an extremely short timeout and in part
   because of some protocol assumptions that weren't wise.

   Also, it's a bit ignorant of some common device classes,
   including modems and hubs.  It should show those too.

Version-Release number of selected component (if applicable):
   RH9 bundles an old version of "usbutils".  The latest I've
   found is 0.11, at

    http://wwwbode.cs.tum.edu/Par/arch/usb/download/usbutils/

   There's allegedly a CVS version with some patches somewhere,
   it doesn't act public.


FIX BY:  applying the patch in the archived-email URL.

Comment 1 Alexander Larsson 2004-03-19 13:12:24 UTC
We seem to be shipping 0.11 now. Is this fixed?


Comment 2 david-b 2004-03-19 14:48:12 UTC
Not fixed in 0.11, hence the patch ... against 0.11

Comment 3 Bill Nottingham 2004-05-04 05:05:37 UTC
Fixed in 0.11-4.


Note You need to log in before you can comment on or make changes to this bug.